package  
{
	//一組煙火
	import flash.display.Sprite;
	import flash.geom.ColorTransform;
	import flash.geom.Transform;
	
	
	public class OneFireWork extends Sprite
	{
		//physics
		public var gg:Number = 0.7;
		public var dt:Number = 0.1;
		public var v0:Number = 16;
		public var r0:Number = 0.1;
		
		//game
		public var nn:int = 60; 
		public var ballArray:Array;
		
		//sprite
		public var ballSprite:Sprite;
		public var traceSprite:Sprite;
		public var inverseSprite:Sprite;
		
		
		public function OneFireWork():void
		{
			//once
			
			ballSprite = new Sprite();
			traceSprite = new Sprite();
		//	inverseSprite = new Sprite();
			this.addChild(traceSprite);
		//	this.addChild(inverseSprite);
			this.addChild(ballSprite);
				
				
			
			ballArray = new Array();
			for (var i:int = 0; i < nn; i++) {
				//make oneBall
				var oneBall:OneBall = new OneBall();
				ballSprite.addChild(oneBall.ballMC);
			//	inverseSprite.addChild(oneBall.inverseMC);
				traceSprite.addChild(oneBall.traceMC);
				
				
				//x, y
				oneBall.theta = i * 2 * Math.PI / nn;
				oneBall.xx = r0 * Math.sin(oneBall.theta);
				oneBall.yy = -r0 * Math.cos(oneBall.theta);
				//vx, vy
				oneBall.v0 = v0;
				oneBall.vx = v0 * Math.sin(oneBall.theta);
				oneBall.vyOld=oneBall.vy = -v0 * Math.cos(oneBall.theta);
				//ax, ay
				oneBall.ax = 0;
				oneBall.ay = gg;
				
				
				ballArray.push(oneBall);
			}
			
			
		}
		
		
		public function myShow():void {
			
			//physics
			for (var i:int = 0; i < nn; i++) {
				var oneBall:OneBall = ballArray[i];
				
				oneBall.xx += oneBall.vx * dt;
				oneBall.yy += oneBall.vy * dt;
				
				oneBall.vx += oneBall.ax * dt;
				oneBall.vy += oneBall.ay * dt;
				
				//show on screen
				oneBall.ballMC.x=oneBall.traceMC.x= oneBall.xx;
				oneBall.ballMC.y=oneBall.traceMC.y= oneBall.yy;
				
				
			/*	
				//check折返
				oneBall.inverseMC.visible = (oneBall.vy * oneBall.vyOld <= 0);
				
				
				oneBall.vyOld = oneBall.vy;
			*/	
			}
			
			
			
		}
	}

}