package 
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.FrameLabel;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.geom.Matrix;
	
	/**
	 * ...
	 * @author HAHA
	 */
	public class Main extends Sprite 
	{
		
		public var fireArray:Array;
		
		//bitmap
		public var myBitmap:Bitmap;
		public var myBitmapData:BitmapData;
		
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			
			this.addChild(new BGMC());
			
			//bitmap
			myBitmapData = new BitmapData(1024, 768, true, 0x00003333);
			myBitmap = new Bitmap(myBitmapData);
		//	myBitmap.alpha = 0.5;
			this.addChild(myBitmap);
			
			
			fireArray = new Array();
			
			
			this.addEventListener(Event.ENTER_FRAME, myshow);
			
			this.addEventListener(MouseEvent.CLICK, clickMain);
		}
		
		
		public function myshow(e:Event):void {
			
			var len:int = fireArray.length;
			
			for (var i:int = 0; i < len; i++) {
				var oneFire:OneFireWork = fireArray[i];
				
				//step
				oneFire.myShow();
				
				
				//draw
				var m:Matrix = new Matrix();
				m.translate(oneFire.x, oneFire.y);
				
				myBitmapData.draw(oneFire.traceSprite, m);
				
				
			}
			
		}
		
		
		//click
		public function clickMain(e:MouseEvent):void {
			
			
			
			//fireWork
			var oneFire:OneFireWork = new OneFireWork();
			oneFire.x = e.stageX;
			oneFire.y = e.stageY;
			this.addChild(oneFire);
			fireArray.push(oneFire);
			
		}
		
	}
	
}